PHP ��U
前一頁 |  | 下一頁

# HttpMessage::guessContentType

(no version information, might be only in CVS)

HttpMessage::guessContentType -- Guess content type

## Description

publicstring HttpMessage::guessContentType ( [string magic_file [, int magic_mode = MAGIC_MIME]] )

Attempts to guess the content type of the message body through libmagic.

## Parameters

magic_file

  the magic.mime database to use

magic_mode

  flags for libmagic

## Return Values

Returns the guessed content type on success, or FALSE on failure.

## Errors/Exceptions

Throws HttpRuntimeException, HttpInvalidParamException.

前一頁 | 內容 | 下一頁
HttpMessage::toMessageTypeObject | 上一層 | HttpMessage::detach